# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## Unreleased

## 8.x-1.0-beta1 - 2020-10-23
### Changed 
- [Issue #3139722](https://www.drupal.org/project/breakgen/issues/3139722) by Project Update Bot: Automated Drupal Rector fixes
- [Issue #3139722](https://www.drupal.org/project/breakgen/issues/3139722) by Neodork: Update all .info files to support drupal 9

### Added
- [Issue #3102963](https://www.drupal.org/project/breakgen/issues/3102963) by Neodork: Add image_widget_crop version ^2.3 to composer.json

## 8.x-1.0-alpha3 - 2019-12-27
### Changed
- [Issue #3077312](https://www.drupal.org/project/breakgen/issues/3077312) by alonaoneill: Dependency namespacing in .info.yml as required by drupal coding standards
- [Issue #3102909](https://www.drupal.org/project/breakgen/issues/3102909) Changelog to be more in line with Drupal releases instead of Github releases.

### Fixed
- [Issue #3102904](https://www.drupal.org/project/breakgen/issues/3102904) Conflicting with webprofiler due to non-interface usage of EntityTypeManager
- [Issue #3102962](https://www.drupal.org/project/breakgen/issues/3102962) breakgen_responsive_image not setting the correct breakpoint definitions
- [Issue #3103373](https://www.drupal.org/project/breakgen/issues/3103373) Breakgen cannot generate because it's using config from extension modules

### Added
- [Issue #3102967](https://www.drupal.org/project/breakgen/issues/3102962) Missing dependencies to core modules

## 8.x-1.0-alpha2 - 2018-09-19
### Added
- Add drush 9.x support
- Add correct breakpoint group for breakgen_responsive_image module
### Fixed
- Fix wrong imageStyleMachine name issue
- Fix breakgen_crop Warning: array_flip(): Can only flip STRING and INTEGER values! in Drupal\Core\Entity\EntityStorageBase->loadMultiple()
- Fix minor bug with machine names (strips out dots from yml file)

## 8.x-1.0-alpha1 - 2018-09-18
### Changed
- Changed code style from PSR-2 to Drupal code style.

### Added
- Ability to generate image styles from a breakpoint file.
- This CHANGELOG file to hopefully serve as an evolving example of a
  standardized open source project CHANGELOG.
- Standard breakpoint file.
- README for basic instructions.
- Added hooks for 3rd party extensions.
- Added example module "breakgen_crop" for 3rd party integration.
- Added missing PHP doc annotations.
- Added command to clear all breakgen related entities.
- Added post save hook for 3rd party extensions.
- Added example module "breakgen_responsive_image" for responsive image generation.
- Added breakgen_responsive_image and breakgen_responsive_image_fallback to breakgen file.

### Fixed
- Fixed warning when percentages are not set on breakpoint.
- Fixed crop_type definition having "x" instead of ":" for aspect ratio

### Changed
- Changed example module naming to be more generic
